## ros-humble-rosidl-runtime-c 3.1.5

=== debian/changelog ===
ros-humble-rosidl-runtime-c (3.1.5-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 18 Jul 2023 00:00:00 -0000

ros-humble-rosidl-runtime-c (3.1.4-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 07 Nov 2022 00:00:00 -0000

ros-humble-rosidl-runtime-c (3.1.3-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 08 Apr 2022 00:00:00 -0000

ros-humble-rosidl-runtime-c (3.1.2-2jammy) jammy; urgency=high

  * Fix error handling when copying C sequence messages (#671 <https://github.com/ros2/rosidl/issues/671>)
  * Contributors: Michel Hidalgo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 05 Apr 2022 00:00:00 -0000

ros-humble-rosidl-runtime-c (3.1.1-2jammy) jammy; urgency=high

  * Set the output size unconditionally when copying sequences (#669 <https://github.com/ros2/rosidl/issues/669>)
  * Contributors: Nikolai Morin

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 28 Mar 2022 00:00:00 -0000

ros-humble-rosidl-runtime-c (3.1.0-2jammy) jammy; urgency=high

  * De-duplicate Quality Level from README and QUALITY_DECLARATION (#661 <https://github.com/ros2/rosidl/issues/661>)
  * Install headers to include/${PROJECT_NAME} (#658 <https://github.com/ros2/rosidl/issues/658>)
  * Implement copy function for C messages (#650 <https://github.com/ros2/rosidl/issues/650>)
  * Implement equality operator function for C messages. (#648 <https://github.com/ros2/rosidl/issues/648>)
  * Contributors: Jose Luis Rivero, Michel Hidalgo, Shane Loretz

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 01 Mar 2022 00:00:00 -0000

ros-humble-rosidl-runtime-c (3.0.1-2jammy) jammy; urgency=high

  * Set CXX standard to 17 (#635 <https://github.com/ros2/rosidl/issues/635>)
  * Contributors: Øystein Sture

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 13 Jan 2022 00:00:00 -0000

ros-humble-rosidl-runtime-c (3.0.0-2jammy) jammy; urgency=high

  * Update package maintainers (#624 <https://github.com/ros2/rosidl/issues/624>)
  * Contributors: Michel Hidalgo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 05 Nov 2021 00:00:00 -0000

ros-humble-rosidl-runtime-c (2.5.0-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 10 Aug 2021 00:00:00 -0000

ros-humble-rosidl-runtime-c (2.4.0-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 12 Jul 2021 00:00:00 -0000

ros-humble-rosidl-runtime-c (2.3.0-2jammy) jammy; urgency=high

  * Use RCUtils allocators in rosidl_generator_c (#584 <https://github.com/ros2/rosidl/issues/584>)
  * Contributors: Pablo Garrido

 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 11 Jun 2021 00:00:00 -0000

ros-humble-rosidl-runtime-c (2.2.1-2jammy) jammy; urgency=high

  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#581 <https://github.com/ros2/rosidl/issues/581>)
  * Contributors: shonigmann

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 06 Apr 2021 00:00:00 -0000

ros-humble-rosidl-runtime-c (2.2.0-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 18 Mar 2021 00:00:00 -0000

ros-humble-rosidl-runtime-c (2.1.0-2jammy) jammy; urgency=high

  * Shorten some excessively long lines of CMake (#571 <https://github.com/ros2/rosidl/issues/571>)
  * Contributors: Scott K Logan

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 09 Mar 2021 00:00:00 -0000

ros-humble-rosidl-runtime-c (2.0.3-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 25 Jan 2021 00:00:00 -0000

ros-humble-rosidl-runtime-c (2.0.2-2jammy) jammy; urgency=high

  * Update and add package.xml descriptions to README (#553 <https://github.com/ros2/rosidl/issues/553>)
  * Fix item number in QD (#546 <https://github.com/ros2/rosidl/issues/546>)
  * Update the maintainers of this repository. (#536 <https://github.com/ros2/rosidl/issues/536>)
  * Contributors: Chris Lalancette, Louise Poubel, Shane Loretz

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 08 Dec 2020 00:00:00 -0000

ros-humble-rosidl-runtime-c (2.0.1-2jammy) jammy; urgency=high

  * Add rcutils dependency. (#534 <https://github.com/ros2/rosidl/issues/534>)
  * QD: Add links to hosted API docs (#533 <https://github.com/ros2/rosidl/issues/533>)
  * Updated Quality Level to 1 (#532 <https://github.com/ros2/rosidl/issues/532>)
  * Add benchmarks for rosidl_runtime_* packages (#521 <https://github.com/ros2/rosidl/issues/521>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Louise Poubel, Scott K Logan

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 28 Sep 2020 00:00:00 -0000

ros-humble-rosidl-runtime-c (2.0.0-2jammy) jammy; urgency=high

  * Fix the declared language for a few packages (#530 <https://github.com/ros2/rosidl/issues/530>)
  * Add fault injection macros and test (#509 <https://github.com/ros2/rosidl/issues/509>)
  * Contributors: Scott K Logan, brawner

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 24 Sep 2020 00:00:00 -0000

ros-humble-rosidl-runtime-c (1.1.0-2jammy) jammy; urgency=high

  * Update rosidl_runtime_c QD to QL 2 (#500 <https://github.com/ros2/rosidl/issues/500>)
  * Contributors: Stephen Brawner

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 17 Aug 2020 00:00:00 -0000

ros-humble-rosidl-runtime-c (1.0.1-2jammy) jammy; urgency=high

  * Add Security Vulnerability Policy pointing to REP-2006 (#494 <https://github.com/ros2/rosidl/issues/494>)
  * QD Update Version Stability to stable version (#495 <https://github.com/ros2/rosidl/issues/495>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette

 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 03 Jun 2020 00:00:00 -0000

ros-humble-rosidl-runtime-c (1.0.0-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 22 May 2020 00:00:00 -0000

ros-humble-rosidl-runtime-c (0.9.2-2jammy) jammy; urgency=high


