=== debian/control ===
Source: ros-humble-rosidl-runtime-c
Section: misc
Priority: optional
Maintainer: Michel Hidalgo <michel@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-ros, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-performance-test-fixture <!nocheck>, ros-humble-rcutils, ros-humble-rosidl-typesupport-interface, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rosidl-runtime-c
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ament-cmake, ros-humble-rcutils, ros-humble-rosidl-typesupport-interface, ros-humble-ros-workspace
Description: Provides definitions, initialization and finalization functions, and macros for getting and working with rosidl typesupport types in C.
